<?php
include "../ver_sessao.php";
include "../conecta.php";
include "../relatorios/grafico.php";


function layout_relatorio(){

	if( $_POST[setor] != '' ){
			$extra .= " AND seto_nb_id = '$_POST[setor]'";
			$a_setor=carregar('setor',$_POST[setor]);
		}


	if( $_POST[data1] != '' )
		$extra .= " AND movi_tx_data >= '".gera_data($_POST[data1],1)."'";
	
	if( $_POST[data2] != '' )
		$extra .= " AND movi_tx_data <= '".gera_data($_POST[data2],1)."'";

	
	cabecaRelatorio('Relatório de Compras por Setor');
	
	cactux::abre_form();
	
	$t[]=cactux::texto('Data Início',$_POST[data1],2);
	$t[]=cactux::texto('Data Fim',$_POST[data2]);
	$t[]=cactux::texto('Setor',$a_setor[seto_tx_nome]);
	
	cactux::abre_fieldset('Opções de Busca');
	cactux::linha_fieldset($t[0],$t[1]);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	echo"<br>";
	
	$sql=selecionar('compra,movimento,entidade,setor.user','movi_tx_status,comp_tx_status',"ativo,Finalizado"," AND user_nb_id=comp_nb_userCadastro  $extra GROUP BY seto_nb_id ",0);
	while($a2=carrega_array($sql)){
		
		$sql_comp=selecionar('compra,movimento,entidade,setor.user','movi_tx_status,comp_tx_status',"ativo,Finalizado","  AND user_nb_id=comp_nb_userCadastro   AND comp_nb_setor='$a2[seto_nb_id]' $extra",0);
		while($a=carrega_array($sql_comp)){
			//echo"COMP:$a[comp_nb_id] - MOVI:$a[movi_nb_id] - $a[movi_tx_valordoc]<br>";
			
			$soma+=$a[movi_tx_valordoc];
			$total+=$a[movi_tx_valordoc];
		
		}

		$valores[]=array(++$j,$a2[seto_tx_nome],"R$ ".mostra_valor($soma,1));
		
		$descricao_grafico[] = "$a2[seto_tx_nome] (R$ ".mostra_valor($soma,1).") &nbsp; &nbsp;";
		$valor_grafico[] = $soma;

		$soma=0;
		
		
	}
	
	
	
	$cor = array("../../relatorios/imagens/1.jpg","../../relatorios/imagens/9.jpg","../../relatorios/imagens/10.jpg",
			"../../relatorios/imagens/11.jpg","../../relatorios/imagens/12.jpg","../../relatorios/imagens/13.jpg",
			"../../relatorios/imagens/14.jpg","../../relatorios/imagens/2.jpg","../../relatorios/imagens/3.jpg",
			"../../relatorios/imagens/4.jpg","../../relatorios/imagens/5.jpg","../../relatorios/imagens/6.jpg",
			"../../relatorios/imagens/7.jpg","../../relatorios/imagens/8.jpg");
	gera_grafico('',$valor_grafico,$descricao_grafico,'',"<B>TOTAL: R$ ".mostra_valor($total,1),$cor);

	echo "<BR>";

	
	$valores[]=array('','<b>TOTAL:</b>',"<B>R$ ".mostra_valor($total,1));
	
	$cabeca[]=array('','SETOR','VALOR TOTAL');
	$cabeca[]='c,e,d,e,e,e';
	$cabeca[]='10%,,20%';
	$cabeca[]='635';
	
	grid::gerar($cabeca,$valores);
	
	


}



function index(){

	
	cabecalho('Relatório de Compras por Setor',2);
	
	cactux::abre_form('blank');
	

	$c[]=cactux::campo('Data Início:','data1','',2, MASCARA_DATA);
	$c[]=cactux::campo('Data Fim:','data2','',2, MASCARA_DATA);
	$c[]=cactux::combo_bd('!Setor:','setor','','',2,'setor',2);
	
	$imprimir=cactux::botao_submit('Gerar Relatório',2,'layout_relatorio');
	
	
	
	cactux::abre_fieldset('Opçoes de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2]);
	cactux::linha_fieldset($imprimir);
	cactux::fecha_fieldset();

	cactux::fecha_form();

}


CONTROLE();
?>
